Bug 1151865 - r8169 link flapping [NEEDINFO]
r8169 link flapping
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-12 14:54 EDT by Tomasz Torcz
Modified: 2015-07-10 03:35 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-24 11:13:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Tomasz Torcz 2014-10-12 14:54:23 EDT
Description of problem:
I have a server which was running fine for few years. Just recently I upgraded from 3.15.fc20 kernel to 3.17.0-301.fc21.x86_64. Network link started to disappear for about 1.5 second quit often:

[ +15.068178] lan: port 1(enp4s0) entered forwarding state
[ +42.742248] r8169 0000:04:00.0 enp4s0: link down
[  +0.000074] lan: port 1(enp4s0) entered disabled state
[  +0.015630] r8169 0000:05:00.0 enp5s0: link down
[Oct12 19:40] r8169 0000:05:00.0 enp5s0: link up
[  +0.766097] r8169 0000:04:00.0 enp4s0: link up
[  +0.000817] lan: port 1(enp4s0) entered forwarding state
[  +0.000030] lan: port 1(enp4s0) entered forwarding state
[ +15.069108] lan: port 1(enp4s0) entered forwarding state
[Oct12 20:03] r8169 0000:04:00.0 enp4s0: link down
[  +0.000041] lan: port 1(enp4s0) entered disabled state
[  +0.018891] r8169 0000:05:00.0 enp5s0: link down
[  +1.680367] r8169 0000:05:00.0 enp5s0: link up
[  +0.683707] r8169 0000:04:00.0 enp4s0: link up
[  +0.000815] lan: port 1(enp4s0) entered forwarding state
[  +0.000027] lan: port 1(enp4s0) entered forwarding state
[ +15.054925] lan: port 1(enp4s0) entered forwarding state
[Oct12 20:04] r8169 0000:04:00.0 enp4s0: link down
[  +0.000065] lan: port 1(enp4s0) entered disabled state
[  +0.019015] r8169 0000:05:00.0 enp5s0: link down
[  +1.563941] r8169 0000:05:00.0 enp5s0: link up
[  +0.802048] r8169 0000:04:00.0 enp4s0: link up
[  +0.000815] lan: port 1(enp4s0) entered forwarding state
[  +0.000027] lan: port 1(enp4s0) entered forwarding state
[ +15.037151] lan: port 1(enp4s0) entered forwarding state
[Oct12 20:44] r8169 0000:04:00.0 enp4s0: link down
[  +0.000036] lan: port 1(enp4s0) entered disabled state
[  +0.020844] r8169 0000:05:00.0 enp5s0: link down
[  +1.552440] r8169 0000:05:00.0 enp5s0: link up
[  +0.809583] r8169 0000:04:00.0 enp4s0: link up
[  +0.000822] lan: port 1(enp4s0) entered forwarding state
[  +0.000030] lan: port 1(enp4s0) entered forwarding state
[ +15.060190] lan: port 1(enp4s0) entered forwarding state
[Oct12 20:45] r8169 0000:04:00.0 enp4s0: link down
[  +0.000071] lan: port 1(enp4s0) entered disabled state
[  +0.011174] r8169 0000:05:00.0 enp5s0: link down
[  +1.729399] r8169 0000:05:00.0 enp5s0: link up
[  +0.603090] r8169 0000:04:00.0 enp4s0: link up
[  +0.000823] lan: port 1(enp4s0) entered forwarding state
[  +0.000025] lan: port 1(enp4s0) entered forwarding state
[ +15.035722] lan: port 1(enp4s0) entered forwarding state
[ +22.729866] r8169 0000:04:00.0 enp4s0: link down
[  +0.000054] lan: port 1(enp4s0) entered disabled state
[  +0.016777] r8169 0000:05:00.0 enp5s0: link down
[  +1.568851] r8169 0000:05:00.0 enp5s0: link up
[  +0.777867] r8169 0000:04:00.0 enp4s0: link up
[  +0.000830] lan: port 1(enp4s0) entered forwarding state
[  +0.000027] lan: port 1(enp4s0) entered forwarding state
[Oct12 20:46] lan: port 1(enp4s0) entered forwarding state
[Oct12 20:49] r8169 0000:04:00.0 enp4s0: link down
[  +0.000075] lan: port 1(enp4s0) entered disabled state

enp4s0 is connected to gigabit switch
enp5s0 is connected to fast ethernet switch
 
04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 06)
        Subsystem: Elitegroup Computer Systems Device 811e
        Flags: bus master, fast devsel, latency 0, IRQ 30
        I/O ports at e000 [size=256]
        Memory at d0104000 (64-bit, prefetchable) [size=4K]
        Memory at d0100000 (64-bit, prefetchable) [size=16K]
        Capabilities: [40] Power Management version 3
        Capabilities: [50] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [70] Express Endpoint, MSI 01
        Capabilities: [b0] MSI-X: Enable- Count=4 Masked-
        Capabilities: [d0] Vital Product Data
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Virtual Channel
        Capabilities: [160] Device Serial Number f8-0a-00-00-68-4c-e0-00
        Kernel driver in use: r8169
        Kernel modules: r8169

05:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 06)
        Subsystem: Elitegroup Computer Systems Device 811e
        Flags: bus master, fast devsel, latency 0, IRQ 31
        I/O ports at d000 [size=256]
        Memory at d0004000 (64-bit, prefetchable) [size=4K]
        Memory at d0000000 (64-bit, prefetchable) [size=16K]
        Capabilities: [40] Power Management version 3
        Capabilities: [50] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [70] Express Endpoint, MSI 01
        Capabilities: [b0] MSI-X: Enable- Count=4 Masked-
        Capabilities: [d0] Vital Product Data
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Virtual Channel
        Capabilities: [160] Device Serial Number f9-0a-00-00-68-4c-e0-00
        Kernel driver in use: r8169
        Kernel modules: r8169


Settings for enp4s0:
        Supported ports: [ TP MII ]
        Supported link modes:   10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Half 1000baseT/Full 
        Supported pause frame use: No
        Supports auto-negotiation: Yes
        Advertised link modes:  10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Half 1000baseT/Full 
        Advertised pause frame use: Symmetric Receive-only
        Advertised auto-negotiation: Yes
        Link partner advertised link modes:  10baseT/Half 10baseT/Full 
                                             100baseT/Half 100baseT/Full 
                                             1000baseT/Half 1000baseT/Full 
        Link partner advertised pause frame use: Symmetric Receive-only
        Link partner advertised auto-negotiation: Yes
        Speed: 1000Mb/s
        Duplex: Full
        Port: MII
        PHYAD: 0
        Transceiver: internal
        Auto-negotiation: on
        Supports Wake-on: pumbg
        Wake-on: g
        Current message level: 0x00000033 (51)
                               drv probe ifdown ifup
        Link detected: yes


Settings for enp5s0:
        Supported ports: [ TP MII ]
        Supported link modes:   10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Half 1000baseT/Full 
        Supported pause frame use: No
        Supports auto-negotiation: Yes
        Advertised link modes:  10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Half 1000baseT/Full 
        Advertised pause frame use: Symmetric Receive-only
        Advertised auto-negotiation: Yes
        Link partner advertised link modes:  10baseT/Half 10baseT/Full 
                                             100baseT/Half 100baseT/Full 
        Link partner advertised pause frame use: No
        Link partner advertised auto-negotiation: Yes
        Speed: 100Mb/s
        Duplex: Full
        Port: MII
        PHYAD: 0
        Transceiver: internal
        Auto-negotiation: on
        Supports Wake-on: pumbg
        Wake-on: g
        Current message level: 0x00000033 (51)
                               drv probe ifdown ifup
        Link detected: yes



Version-Release number of selected component (if applicable):
kernel-3.17.0-301.fc21.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
Comment 1 Tomasz Torcz 2014-10-20 09:42:07 EDT
Still the problem with 3.17.1-302.fc21.x86_64
Comment 2 Justin M. Forbes 2015-01-27 09:58:26 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 21 kernel bugs.

Fedora 21 has now been rebased to 3.18.3-201.fc21.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Fedora Kernel Team 2015-02-24 11:13:00 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.